<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_i"></a>- i -</h3><ul>
<li>id
: <a class="el" href="structalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_ef6f82b5773b151088a4a25ac30a19f68.html#a5edd3f4eeb338fb4e9528c31aa51f526">alexaClientSDK::applicationUtilities::androidUtilities::test::AndroidSLESObjectTest::MockInterface</a>
, <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_asset.html#a2bea8527b0ac21fbcc42a14fa7c9c0ef">alexaClientSDK::capabilityAgents::alerts::Alert::Asset</a>
, <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_item.html#af60855e6fee86b663a1624ca8f611800">alexaClientSDK::capabilityAgents::audioPlayer::AudioItem</a>
, <a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html#aeed95c55c8e99c1459fb7f3b429a7704">alexaClientSDK::certifiedSender::MessageStorageInterface::StoredMessage</a>
</li>
<li>inactivityTimeout
: <a class="el" href="structalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport_1_1_configuration.html#af94627d89f461128cdd67d44fdc44852">alexaClientSDK::acl::HTTP2Transport::Configuration</a>
</li>
<li>Index
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a6b73c95dbde8b184f8b3176ff9a3f3f1">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;</a>
</li>
<li>index
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage_1_1_asset_order_item.html#a12dcc1d44450be3484ce553bbf2a2afc">alexaClientSDK::capabilityAgents::alerts::storage::AssetOrderItem</a>
</li>
<li>IndicatorState
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#a98080ab5d94a8f1798b05abe18635442">alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface</a>
</li>
<li>infoRead()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_multi_handle_wrapper.html#ab1c8254f01e990ad80c9882e1ba4dd95">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlMultiHandleWrapper</a>
</li>
<li>init()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_attachment_reader_test.html#abe4ca193a36ebbd735a2f93a6da934c3">alexaClientSDK::avsCommon::avs::test::AttachmentReaderTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_attachment_writer_test.html#a626ed39bb9f60298c7533cf85541d265">alexaClientSDK::avsCommon::avs::test::AttachmentWriterTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_external_media_adapter_interface.html#aa0d76ee728e2e5fdd21b32120e32eddd">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::ExternalMediaAdapterInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#aef95512e19fc4a1dc40c0fc9ab06f9d2">alexaClientSDK::avsCommon::utils::logger::Logger</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_buffer_layout.html#adcf85e7fafca0028f4bc55313f923c65">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;::BufferLayout&lt; T &gt;</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_m_p_r_i_s_player_test.html#a3009636260437fe16dfe4ed1c4fa2a63">alexaClientSDK::bluetoothImplementations::blueZ::test::MPRISPlayerTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a93d6e7a535f6616cf49f9d855edacac2">alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#a4e87e5e33b407f8e66138448b6de5598">alexaClientSDK::mediaPlayer::BaseStreamSource</a>
, <a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a6514e93612699495bc0e68aebcf73128">alexaClientSDK::speechencoder::EncoderContext</a>
, <a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_opus_encoder_context.html#afd76dffce1b79d554e9ff77f526abbd2">alexaClientSDK::speechencoder::OpusEncoderContext</a>
</li>
<li>initialize()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1initialization_1_1_alexa_client_s_d_k_init.html#a185a7b0c738fb29837e8c42e62ad0df1">alexaClientSDK::avsCommon::avs::initialization::AlexaClientSDKInit</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html#a2d4525fe0433c5ecc68473868da14834">alexaClientSDK::avsCommon::utils::configuration::ConfigurationNode</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger_sink_manager.html#a34ace00656c08503c7025c902c8162df">alexaClientSDK::avsCommon::utils::logger::LoggerSinkManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_scheduler.html#a4786c57d2dc176da8bd24cb2f5f52a23">alexaClientSDK::capabilityAgents::alerts::AlertScheduler</a>
, <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_database.html#aa123142eebd0c701abc4782a6ec1542f">alexaClientSDK::storage::sqliteStorage::SQLiteDatabase</a>
</li>
<li>initializeCapabilityAgent()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_notifications_capability_agent_test.html#a8ef7e3feeefa140101b83f0be6beae99">alexaClientSDK::capabilityAgents::notifications::test::NotificationsCapabilityAgentTest</a>
</li>
<li>initializeParsing()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_iterative_playlist_parser_interface.html#a00f7883f6e433beba3e7a3b1d79a54e6">alexaClientSDK::avsCommon::utils::playlistParser::IterativePlaylistParserInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_iterative_playlist_parser.html#ada74c2ce5d4ea3e6e472c4334806c449">alexaClientSDK::playlistParser::IterativePlaylistParser</a>
</li>
<li>initializeParsingReal()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_playlist_parser.html#a036b64d3995f14e53103954c17ae269a">alexaClientSDK::mediaPlayer::android::test::MockPlaylistParser</a>
</li>
<li>initVector
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html#a057c4a61bfecfe98793790ac5940fc99">alexaClientSDK::avsCommon::utils::playlistParser::EncryptionInfo</a>
</li>
<li>InMemoryEqualizerConfiguration()
: <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a51fa42831e4b1d08d5321b0a38c60467">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a>
</li>
<li>InProcessAttachment()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_in_process_attachment.html#abbe264120a1d79955367c26e33f78f5a">alexaClientSDK::avsCommon::avs::attachment::InProcessAttachment</a>
</li>
<li>InProcessAttachmentWriter()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_in_process_attachment_writer.html#a0d09297852aeece04b7a1bd1d43f725a">alexaClientSDK::avsCommon::avs::attachment::InProcessAttachmentWriter</a>
</li>
<li>insertByMac()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth_storage_interface.html#a11f978206f8da5dbeefdae60f811dd75">alexaClientSDK::capabilityAgents::bluetooth::BluetoothStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_s_q_lite_bluetooth_storage.html#a38b4d57abad84ff36d6914f686f4c972">alexaClientSDK::capabilityAgents::bluetooth::SQLiteBluetoothStorage</a>
</li>
<li>installOnReadDataHandler()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#aef89c7355025daa3808a8913510a5303">alexaClientSDK::mediaPlayer::BaseStreamSource</a>
</li>
<li>instance()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_console_logger.html#ab92751342dadbc4ab2dbc3c6a189243c">alexaClientSDK::avsCommon::utils::logger::ConsoleLogger</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger_sink_manager.html#a9679f5c38ade00e786d6696d375acf19">alexaClientSDK::avsCommon::utils::logger::LoggerSinkManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1_safe_c_time_access.html#a125b808b6c98a2f3297d4d4992e10933">alexaClientSDK::avsCommon::utils::timing::SafeCTimeAccess</a>
</li>
<li>InteractionManager()
: <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a590f994ba472a28499686e7c46eb7b68">alexaClientSDK::sampleApp::InteractionManager</a>
</li>
<li>interfaceName
: <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html#ae86f548f1c772066eaa50d10321f7e8e">alexaClientSDK::afml::Channel::State</a>
, <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1test_1_1_mock_activity_tracker_interface_1_1_expected_channel_state_result.html#a027c4ba2eadb80b16e1aea7df8d0f40e">alexaClientSDK::afml::test::MockActivityTrackerInterface::ExpectedChannelStateResult</a>
</li>
<li>interval
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_item_1_1_stream_1_1_progress_report.html#ad36eafd4151cae0e46fc7012668a20e5">alexaClientSDK::capabilityAgents::audioPlayer::AudioItem::Stream::ProgressReport</a>
</li>
<li>INVALID_FD
: <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_context.html#a2146a17033de05828f926a8a4fb9ea8a">alexaClientSDK::bluetoothImplementations::blueZ::MediaContext</a>
</li>
<li>INVALID_INDEX
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aa30f5984272de44f8f64b65ad2b1d455">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor</a>
, <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#abb047001df08cb55a45d7a7144b16bc8">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>invalidateCapabilities()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_delegate_interface.html#adc4aa908be04ab7744d6afd505edd645">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesDelegateInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html#a88b00b70c542a08baf09b27cc55f9618">alexaClientSDK::capabilitiesDelegate::CapabilitiesDelegate</a>
</li>
<li>invoke()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_synchronized_invocation.html#a11f88ee2269d24a39ae7e1c56193d894">alexaClientSDK::capabilityAgents::mrm::test::SynchronizedInvocation</a>
</li>
<li>isActive()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1_timer.html#afad001227f3958b85377f9e023fcc085">alexaClientSDK::avsCommon::utils::timing::Timer</a>
</li>
<li>isAlertActive()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_scheduler.html#a5958b4cce598b42dead134d2bb61333b">alexaClientSDK::capabilityAgents::alerts::AlertScheduler</a>
</li>
<li>isBandSupported()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html#a74c5706d897edaa9e03e95008d0f0b07">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a2281a169ecf9f41f2d0a32d87f059753">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a>
</li>
<li>isBlocking()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a1e962bba9a97194f54f51ac80b750de1">alexaClientSDK::avsCommon::avs::BlockingPolicy</a>
</li>
<li>isByteswappingRequired()
: <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a551aa63df26601c02ebc941422d8413a">alexaClientSDK::kwd::AbstractKeywordDetector</a>
</li>
<li>isCancel()
: <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_1_1_directive_params.html#a853e2f879162679774dc2bcd4edebfc9">alexaClientSDK::integration::test::TestDirectiveHandler::DirectiveParams</a>
</li>
<li>isCancelled
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html#a9af8f2d6a83601dcca851910949529df">alexaClientSDK::avsCommon::avs::CapabilityAgent::DirectiveInfo</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#a7214468f3026bf5c681ab7417769110e">alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request</a>
</li>
<li>isCommsEnabled()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a26cdc691245de9eba8caf8f6a5d6ca72">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>isConnected()
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html#abdfbe27be40332e251dd2b39c8ad5489">alexaClientSDK::acl::AVSConnectionManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html#adc89a703cd10ce48ced6cdf6fc053b6a">alexaClientSDK::acl::HTTP2Transport</a>
, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#a60baae3ab3469c7b858b3297540b5988">alexaClientSDK::acl::TransportInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a3832bf7cd234df56ac25468a711528b1">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_interface.html#a3f8ed8ed649a9ec10c507b73e172e4dd">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothDeviceInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_bluetooth_device.html#a92b92941ad5f584edc82b981ed446514">alexaClientSDK::bluetoothImplementations::blueZ::BlueZBluetoothDevice</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_connection.html#a1c0989e52c4dc75c5522b63f95c66951">alexaClientSDK::capabilityAgents::settings::test::MockConnection</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html#a172550bdeb2bdd755f51eeefcf234eff">alexaClientSDK::capabilityAgents::system::test::MockConnection</a>
</li>
<li>isDatabaseReady()
: <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_database.html#aeb52e014d1328805b1be7c0b121b9718">alexaClientSDK::storage::sqliteStorage::SQLiteDatabase</a>
</li>
<li>isDiscoverable()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface.html#a15399f5fed5701bd2249d9678329fcc0">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothHostControllerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_host_controller.html#a62e6489e249627a7852c2fd22a608ac0">alexaClientSDK::bluetoothImplementations::blueZ::BlueZHostController</a>
</li>
<li>isEmpty()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html#a29a508de10342fca0737466d76d5e76c">alexaClientSDK::capabilityAgents::aip::ESPData</a>
</li>
<li>isEnabled()
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html#ac0fe9671ca2086f8cb674af7c204c4fc">alexaClientSDK::acl::AVSConnectionManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html#a91afa2232dc80b7b1984ad3a05f4f4b8">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#acd629c8df953df0b7eb1db0a8e0ae4b8">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a63ab6793307ce3b30e0d1d0757ffbc5f">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a>
, <a class="el" href="classalexa_client_s_d_k_1_1esp_1_1_dummy_e_s_p_data_provider.html#a116cb3a9e1dd626be2f3680abe6196e0">alexaClientSDK::esp::DummyESPDataProvider</a>
, <a class="el" href="classalexa_client_s_d_k_1_1esp_1_1_e_s_p_data_provider.html#a2119778cbc22bc178d70f3d6b6b85dd5">alexaClientSDK::esp::ESPDataProvider</a>
, <a class="el" href="classalexa_client_s_d_k_1_1esp_1_1_e_s_p_data_provider_interface.html#a028c6092f7fc9e234646a11f7f6ca1c9">alexaClientSDK::esp::ESPDataProviderInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html#a44348b00ab1f0cb04a73c068c62b602a">alexaClientSDK::integration::test::TestMessageSender</a>
</li>
<li>isExecutorReady()
: <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_testable_message_router.html#a0dffc16714c977d7184b57b27ed93cba">alexaClientSDK::acl::test::TestableMessageRouter</a>
</li>
<li>isFinalized()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1_json_generator.html#aa04871a34b83ea26b248804282d9400d">alexaClientSDK::avsCommon::utils::json::JsonGenerator</a>
</li>
<li>isGuest
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_session_state.html#a108688d22bdca4e49c74fac92153a1ca">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterSessionState</a>
</li>
<li>isHandle()
: <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_1_1_directive_params.html#adc338154f4839a22e6fa8a7f45d7be61">alexaClientSDK::integration::test::TestDirectiveHandler::DirectiveParams</a>
</li>
<li>isHandleImmediately()
: <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_1_1_directive_params.html#a4c028ea1a50eac8bd84d110cdc3fbeae">alexaClientSDK::integration::test::TestDirectiveHandler::DirectiveParams</a>
</li>
<li>isInitialized()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1initialization_1_1_alexa_client_s_d_k_init.html#a4894e427b5ec58455aa981d8e8848c31">alexaClientSDK::avsCommon::avs::initialization::AlexaClientSDKInit</a>
</li>
<li>isIntermittentTransferExpected()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#af2ab03c41d9ae2c9730c7d679178f993">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#a09f7c0d9dfd3bf5c19c69458a86a2a29">alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request</a>
</li>
<li>isLittleEndian()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_playback_configuration.html#aebe480800a475a27951593e3988a26fd">alexaClientSDK::mediaPlayer::android::PlaybackConfiguration</a>
</li>
<li>isLive
: <a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html#a412e3b72a2c27e9911373f755950603a">alexaClientSDK::playlistParser::M3UContent</a>
</li>
<li>isMasterPlaylist()
: <a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html#a62e3ebb32a5d7a90172ac08d760d8417">alexaClientSDK::playlistParser::M3UContent</a>
</li>
<li>isModeSupported()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html#acc64bcbe86ffe22b82ba1d9bd2760433">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a57f4abe411139ebcd58882089a22b5c6">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a>
</li>
<li>isOpen()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_mock_alert_storage.html#a83d58fe5bd5f2dc20c191fa53ce0e880">alexaClientSDK::capabilityAgents::alerts::test::MockAlertStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#aef7e3ed22f280d927ae9fa924151e4dc">alexaClientSDK::mediaPlayer::BaseStreamSource</a>
</li>
<li>isOpened()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a685c6de45c8b72d9fbfca0256bbc0c66">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#a376714ec74a99340ea8eae172d1f9f89">alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a6aa0c157a8c6caaac288b1bcca5637d9">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage</a>
, <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_misc_storage.html#a63cf58abd9cc0572639c08436f03835e">alexaClientSDK::storage::sqliteStorage::SQLiteMiscStorage</a>
</li>
<li>isPaired()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_interface.html#a9fd30c2cf9d0549a822cb1ed2f006de7">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothDeviceInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_bluetooth_device.html#ad50024c506c99dc0ce8c5ba024250169">alexaClientSDK::bluetoothImplementations::blueZ::BlueZBluetoothDevice</a>
</li>
<li>isPastDue()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a1f68930bde94f645d111a73098b1a3ef">alexaClientSDK::capabilityAgents::alerts::Alert</a>
</li>
<li>isPaused()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_libcurl_h_t_t_p2_request.html#afe4de88841f63032880e0257f3b0ff29">alexaClientSDK::avsCommon::utils::libcurlUtils::LibcurlHTTP2Request</a>
</li>
<li>isPauseOnSendReceived()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a6e18d00b4ef1a11f057ba73cc9c640a6">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection</a>
</li>
<li>isPlaybackRemote()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_attachment_reader_source.html#a0dbb878575a8bbfc56d78297ff12e043">alexaClientSDK::mediaPlayer::AttachmentReaderSource</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#ab26b1c54c75a9e0f840e4a27670a66a6">alexaClientSDK::mediaPlayer::SourceInterface</a>
</li>
<li>isPreHandle()
: <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_1_1_directive_params.html#a25d9874a6d611fed1297f5d0b7404495">alexaClientSDK::integration::test::TestDirectiveHandler::DirectiveParams</a>
</li>
<li>isReaderEnabled()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_buffer_layout.html#a46ba56785b566072892641170b943bcd">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;::BufferLayout&lt; T &gt;</a>
</li>
<li>isReady()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_h_t_t_p_content.html#aba01dc28bb3cdce90e0879b92a418174">alexaClientSDK::avsCommon::utils::HTTPContent</a>
</li>
<li>isRequestQueueEmpty()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#acaf3f4faab6fb56b7919f5200f1cfdd8">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection</a>
</li>
<li>isResultPresent()
: <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_kitt_ai_key_word_test.html#a491f665579e6d93e0575d01487700e11">alexaClientSDK::kwd::test::KittAiKeyWordTest</a>
, <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#ab126a9488b88e6ec3deaf98163894e86">alexaClientSDK::kwd::test::SensoryKeywordTest</a>
</li>
<li>isSBCInitialized()
: <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_context.html#a862ccef19421674da437fe10afb7adb1">alexaClientSDK::bluetoothImplementations::blueZ::MediaContext</a>
</li>
<li>isScanning()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface.html#ae0732433666996cc1a1620683e89cd1a">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothHostControllerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_host_controller.html#ad751023cd3651135a6f3dfcdf6ba3edf">alexaClientSDK::bluetoothImplementations::blueZ::BlueZHostController</a>
</li>
<li>isSeekable()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#a08956403596c65732765cbb096642789">alexaClientSDK::mediaPlayer::OffsetManager</a>
</li>
<li>isSeekPointSet()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_offset_manager.html#ae0f81e342df6a659ed744808737b1604">alexaClientSDK::mediaPlayer::OffsetManager</a>
</li>
<li>isShutdown()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#af9352626109735aba40b5fb310913355">alexaClientSDK::avsCommon::utils::RequiresShutdown</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1_executor.html#af7362e15a8eba30b20137f30d9e12178">alexaClientSDK::avsCommon::utils::threading::Executor</a>
</li>
<li>isStatusCodeSuccess()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_h_t_t_p_content.html#a696cf7fe5e691e87c73b4c0f32854875">alexaClientSDK::avsCommon::utils::HTTPContent</a>
</li>
<li>isSucceeded()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_success_result.html#aa2aaf0d9ddf8b33964e971bd6eb96d4d">alexaClientSDK::avsCommon::utils::error::SuccessResult&lt; TValue &gt;</a>
</li>
<li>isTimeout()
: <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_1_1_directive_params.html#adeed54ec6266bc934b7f489156d39b3c">alexaClientSDK::integration::test::TestDirectiveHandler::DirectiveParams</a>
</li>
<li>isUnset()
: <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler_1_1_directive_params.html#aeccced36637b348e1aafd70e89be4a3f">alexaClientSDK::integration::test::TestDirectiveHandler::DirectiveParams</a>
</li>
<li>isValid()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#a353c284aa2770b2ef635ea888b600d59">alexaClientSDK::avsCommon::avs::BlockingPolicy</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a2aa345bbddc974cf1cb11f3de90bb01d">alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper</a>
, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html#a5e8c54169bc703402058bd7499f5a313">alexaClientSDK::avsCommon::utils::playlistParser::EncryptionInfo</a>
, <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_auth_delegate_test_context.html#a3726a1666610dbc541be1ebf6e249c4d">alexaClientSDK::integration::test::AuthDelegateTestContext</a>
, <a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#afe141a216dd4e00ec7a9a6c5c9963de5">alexaClientSDK::storage::sqliteStorage::SQLiteStatement</a>
</li>
<li>isWriterEnabled
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_buffer_layout_1_1_header.html#a7d20cf514389959e2146ab6fd5cb77b0">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;::BufferLayout&lt; T &gt;::Header</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
